com.typesafe.config

## Class ConfigException.BadPath

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.typesafe.config.ConfigException
        - - com.typesafe.config.ConfigException.BadPath

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ConfigException

    public static class ConfigException.BadPath
    extends ConfigException

Exception indicating that a path expression was invalid. Try putting double quotes around path elements that contain "special" characters.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.typesafe.config.ConfigException

`ConfigException.BadBean, ConfigException.BadPath, ConfigException.BadValue, ConfigException.BugOrBroken, ConfigException.Generic, ConfigException.IO, ConfigException.Missing, ConfigException.NotResolved, ConfigException.Null, ConfigException.Parse, ConfigException.UnresolvedSubstitution, ConfigException.ValidationFailed, ConfigException.ValidationProblem, ConfigException.WrongType`

### Constructor Summary

Constructors
Constructor and Description
`BadPath(ConfigOrigin origin, java.lang.String message)`
`BadPath(ConfigOrigin origin, java.lang.String path, java.lang.String message)`
`BadPath(ConfigOrigin origin, java.lang.String path, java.lang.String message, java.lang.Throwable cause)`
`BadPath(java.lang.String path, java.lang.String message)`
`BadPath(java.lang.String path, java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class com.typesafe.config.ConfigException

`origin`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadPath

    public BadPath(ConfigOrigin origin,
                   java.lang.String path,
                   java.lang.String message,
                   java.lang.Throwable cause)

#### BadPath

    public BadPath(ConfigOrigin origin,
                   java.lang.String path,
                   java.lang.String message)

#### BadPath

    public BadPath(java.lang.String path,
                   java.lang.String message,
                   java.lang.Throwable cause)

#### BadPath

    public BadPath(java.lang.String path,
                   java.lang.String message)

#### BadPath

    public BadPath(ConfigOrigin origin,
                   java.lang.String message)